
Redmine - Feature #36992

redmine computed custom field

2022-04-19 23:35 - ashraf alzyoud

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

i think this plugin must be by default in core redmine

all users need it

Related issues:

Related to Redmine - Feature #1712: add custom fields that are calculations o... New 2008-07-30

History

#1 - 2022-04-26 15:06 - Holger Just

- Related to Feature #1712: add custom fields that are calculations of other fields added

#2 - 2022-04-26 15:08 - Holger Just

- Status changed from New to Closed

- Resolution set to Wont fix

The plugin (and its various forks) rely on administrators entering raw Ruby code which is then evaluated. This effectively results in the plugin being an

unmitigated remote-code-execution vulnerability which goes against the security guarantees of Redmine.

As such, this plugin will never be part of Redmine and I would strongly recommend to not use it anywhere because of the incredible security risks it

brings.
